restrictedservice

Full documentation for this service is available at /documentation/restrictedservice.

AddItem |WebMethod|

This API method is used to create new items (for different item types see API method) on Tradera, but not shop items (see for adding shop items). If uploading images set the property AutoCommit to false, call for every image and then call after the last image. Note that this is an asynchronous call which means that the provided data will go through a first step validation and then be added to a processing queue. The method will then return. The item will be processed as soon as possible depending on the current system load. To be certain that the item was successfully added on Tradera the method GetRequestResults needs to be called to verify the final result of the request (see RequestResult).

Parameters
  1. itemRequest, Object containing the values for the new Item, see ItemRequest
Returns

Response data (QueuedRequestResponse) with request id and item id. The item id is the id of the new item on Tradera. The request id is the identifier of the current request and is used together with API metthod GetRequestResults to get final result of this call.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/AddItem"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <AddItem xmlns="http://api.tradera.com">
      <itemRequest>itemRequest</itemRequest>
    </AddItem>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <AddItemResponse xmlns="http://api.tradera.com">
      <AddItemResult>Response data (QueuedRequestResponse) with request id and item id. The item id is the id of
             the new item on Tradera. The request id is the identifier of the current request and is used together with API metthod GetRequestResults to
             get final result of this call.</AddItemResult>
    </AddItemResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <AddItem xmlns="http://api.tradera.com">
      <itemRequest>itemRequest</itemRequest>
    </AddItem>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <AddItemResponse xmlns="http://api.tradera.com">
      <AddItemResult>Response data (QueuedRequestResponse) with request id and item id. The item id is the id of
             the new item on Tradera. The request id is the identifier of the current request and is used together with API metthod GetRequestResults to
             get final result of this call.</AddItemResult>
    </AddItemResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/restrictedservice.asmx/AddItem?appId=string&appKey=string&itemRequest=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<AddItemResult xmlns="http://api.tradera.com">Response data (QueuedRequestResponse) with request id and item id. The item id is the id of
             the new item on Tradera. The request id is the identifier of the current request and is used together with API metthod GetRequestResults to
             get final result of this call.</AddItemResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx/AddItem HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&itemRequest=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<AddItemResult xmlns="http://api.tradera.com">Response data (QueuedRequestResponse) with request id and item id. The item id is the id of
             the new item on Tradera. The request id is the identifier of the current request and is used together with API metthod GetRequestResults to
             get final result of this call.</AddItemResult>